Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Interface WMSConfigurationType

All Known Implementing Classes:
  WMSConfiguration, WMSConfiguration_1_3_0

    public interface WMSConfigurationType

`WMSConfigurationType` defines the methods that each WMS configuration object has to implement. It is used to unify the implementations for the different versions.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Method Summary
`String` | `calculateVersion(String version)`
`URL` | `getBaseURL()`
`WMSDeegreeParams` | `getDeegreeParams()`
`List<String>` | `getExceptions()`
`Layer` | `getLayer()`
`Layer` | `getLayer(String name)`
`OperationsMetadata` | `getOperationMetadata()`
`ServiceIdentification` | `getServiceIdentification()`
`String` | `getUpdateSequence()`
`String` | `getVersion()`
`void` | `setDeegreeParams(WMSDeegreeParams deegreeParams)`

Method Detail

### getDeegreeParams

    WMSDeegreeParams getDeegreeParams()

  Returns:
    Returns the deegreeParams.

### setDeegreeParams

    void setDeegreeParams(WMSDeegreeParams deegreeParams)

  Parameters:
    `deegreeParams` - The deegreeParams to set.

### getBaseURL

    URL getBaseURL()

  Returns:
    Gets the base URL which is used to resolve file resource (XSL sheets).

### getVersion

    String getVersion()

  Returns:
    the version

### getServiceIdentification

    ServiceIdentification getServiceIdentification()

  Returns:
    the `ServiceIdentification` object

### getUpdateSequence

    String getUpdateSequence()

  Returns:
    the updateSequence.

### getLayer

    Layer getLayer()

  Returns:
    the root layer provided by a WMS

### getLayer

    Layer getLayer(String name)

  Parameters:
    `name` - the layer name
  Returns:
    the layer provided by a WMS or null, if there is no such layer

### getOperationMetadata

    OperationsMetadata getOperationMetadata()

  Returns:
    the operations metadata object

### calculateVersion

    String calculateVersion(String version)

  Parameters:
    `version` - the input version
  Returns:
    the nearest supported version according to the version negotiation rules.

### getExceptions

    List<String> getExceptions()

  Returns:
    the list of available exceptions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org